> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/da/powershell-kommandoer/get-udelement.md).

# Get-UDElement

Get-UDElement henter den aktuelle tilstand for et angivet dashboardelement i PowerShell Universal, som varierer efter typen af overordnet element.

### Synopsis

Hent tilstanden for det angivne element.

### Syntaks

```powershell
Get-UDElement [-Id] <String> [[-Property] <String>] [<CommonParameters>]
```

### Beskrivelse

Hent tilstanden for det angivne element. Denne cmdlet kan opføre sig forskelligt afhængigt af typen af overordnet element.

### Parametre

#### -Id

Id'et for det element, hvis tilstand der skal hentes.

```
Required?                    true
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Property

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Fælles parametre

Denne cmdlet understøtter de fælles parametre: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable og OutVariable. Se [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216) for at få flere oplysninger.

### Output

### Eksempler

#### Eksempel 1: hent element

```powershell
New-UDTextbox -Id 'getElement1' -Placeholder 'Enter your name'
New-UDButton -Text 'Get Value' -OnClick {
   Show-UDToast (Get-UDElement -Id 'getElement1').Value
}
```

Henter tilstanden for et element.

#### Eksempel 2: hent egenskab

```powershell
New-UDTextbox -Id 'getElement2' -Placeholder 'Enter your name'
New-UDButton -Text 'Get Value' -OnClick {
   Show-UDToast (Get-UDElement -Id 'getElement2' -Property 'Value')
}
```

Henter en bestemt egenskab for et element.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/da/powershell-kommandoer/get-udelement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
